Name:           python-inmanta-sphinx
Version:        2.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Inmanta domain for inmanta modules and config

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/inmanta/inmanta-sphinx
Source:         %{pypi_source inmanta_sphinx}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'inmanta-sphinx' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-inmanta-sphinx
Summary:        %{summary}

%description -n python3-inmanta-sphinx %_description


%prep
%autosetup -p1 -n inmanta_sphinx-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-inmanta-sphinx -f %{pyproject_files}


%changelog
%autochangelog